# QGraphicsSimpleTextItem Class Reference

### [com.trolltech.qt.gui package]

Inherits QAbstractGraphicsShapeItem.

### Constructor

- void QGraphicsSimpleTextItem(QGraphicsItem parent, QGraphicsScene scene)
- void QGraphicsSimpleTextItem(String text, QGraphicsItem parent, QGraphicsScene scene)

### Constructor Properties

- prototype: The QGraphicsSimpleTextItem prototype object

### Prototype Object Properties

The QGraphicsSimpleTextItem prototype object inherits properties from the QAbstractGraphicsShapeItem prototype object and also has the following properties.

- QFont font()
- void setFont(QFont font)
- void setText(String text)
- String text()

### Instance Properties

QGraphicsSimpleTextItem objects have no special properties beyond those inherited from the QGraphicsSimpleTextItem prototype object.